"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactPDFChartJS = void 0;
const react_1 = __importDefault(require("react"));
const renderer_1 = require("@react-pdf/renderer");
const chartjs_node_canvas_1 = require("chartjs-node-canvas");
const ReactPDFChartJS = ({ style, configuration, resolution, backgroundColour, keepAspectRatio = false }) => {
    const chartJSNodeCanvas = new chartjs_node_canvas_1.ChartJSNodeCanvas({
        width: resolution.width,
        height: resolution.height,
        backgroundColour
    });
    const content = chartJSNodeCanvas.renderToDataURLSync(configuration);
    return (react_1.default.createElement(renderer_1.View, { style: style },
        react_1.default.createElement(renderer_1.Image, { style: { objectFit: keepAspectRatio ? 'contain' : 'auto' }, src: content })));
};
exports.ReactPDFChartJS = ReactPDFChartJS;
